/*
 *========================================================================
 *
 *   시스템명 : AZN_PLAZA_LANE APP
 *   파 일 명 : process_info.c
 *   작 성 자 : JBY
 *   작 성 일 : 2018.07.13
 *   수 정 일 :
 *   설    명 :
 *
 *========================================================================
*/

#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <stdio.h>
#include <stdlib.h>

#include "app_info.h"
#include "task_info.h"
#include "iis_func.h"
int        shmid;
SYS_INFO   *system_info;
int        my_task_id;

void SIG_term(sig)
int sig;
{
    printf("Signal[%d]\n", sig);
    exit(1);
}

/*
 *========================================================================
 *
 *   함 수 명 : main()
 *   작 성 자 : JBY
 *   작 성 일 : 2018.07.13
 *   수 정 일 :
 *   설    명 :
 *
 *========================================================================
*/
#if 0
void main(argc, argv, env)
int argc;
char **argv, **env;
#else
int main()
#endif
{
    int tid;
    shmid = shmget(KEY_INIT(),
    sizeof(SYS_INFO),IPC_PERM);

    if( shmid<0 )
    {
        proc_log("TASK ABORT: CANNOT GET SYS_INFO\n");
        exit(1);
    }
    system_info = (SYS_INFO *)shmat(shmid,(char*)0,0);

    printf("\n\n");
    for(tid=0;tid<MAX_TASKS;tid++)
    {
        if(tid%50==0)
        {
            printf("TID PROC_NAME     ARG    ARG2        PID    ACT  QID\n");
            printf("=== ============ ====== ======== ========== === ==========\n");
        }
        printf("%3d %-12.12s  %5.5s    %5.4s%10d   %c %10d\n",
            system_info->task_info[tid].task_id,
            system_info->task_info[tid].argv[0],
            system_info->task_info[tid].argv[1],
          system_info->task_info[tid].argv[2],
            system_info->task_info[tid].proc_id,
            system_info->task_info[tid].act?'R':'S',
            system_info->task_info[tid].queue_id );
    }
    shmdt((char *)system_info);
    return 0;
}
